`lqr_progress_new`
Prev | Progress reports | Next

## Name

lqr_progress_new — the `LqrProgress` object constructor

## Synopsis

    #include <lqr.h>

`LqrProgress* lqr_progress_new(` | `void)`; |

## Description

The function `lqr_progress_new` is the constructor for `LqrProgress` objects. It can be used to setup a progress report indicator for rescale operations performed through `lqr_carver_resize`(3).

Newly created `LqrProgress` objects are inactive, and need to be set up using the functions `lqr_progress_set_init`(3), `lqr_progress_set_update`(3) and `lqr_progress_set_end`(3).

`LqrProgress` objects are associated to `LqrCarver` objects using the function `lqr_carver_set_progress`(3)

## Return value

The function returns the newly created `LqrProgress` if successful, or `NULL` in case of insufficient memory.

## See also

`lqr_progress_set_init`(3), `lqr_progress_set_update`(3), `lqr_progress_set_end`(3), `lqr_progress_set_init_width_message`(3), `lqr_progress_set_init_height_message`(3), `lqr_progress_set_end_width_message`(3), `lqr_progress_set_end_height_message`(3), `lqr_progress_set_update_step`(3), `lqr_carver_set_progress`(3)

Prev | Up | Next
Progress reports | Home | `lqr_progress_set_init`